Pkgcheck Warnings

  • All Versions
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Digest-MD5'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Spec'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Digest-MD5'
    • UnstableOnly
      for arches: [ arm, arm64, ppc, ppc64 ], all versions are unstable: [ 1.88, 1.90, 1.96 ]
    • StableRequest
      slot(0) no change in 406 days for unstable keywords: [ ~amd64, ~x86 ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Temp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 1.90
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Digest-MD5'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Temp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Spec'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Temp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Spec'
    • PotentialStable
      slot(0), stabled arches: [ amd64, x86 ], potentials: [ ~arm, ~arm64, ~ppc, ~ppc64 ]
  • 1.96
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Digest-MD5'
    • StableRequest
      slot(0) no change in 406 days for unstable keywords: [ ~amd64, ~x86 ]
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Temp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Spec'
  • 1.90
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Digest-MD5'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Temp'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Spec'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • PotentialStable
      slot(0), stabled arches: [ amd64, x86 ], potentials: [ ~arm, ~arm64, ~ppc, ~ppc64 ]
  • 1.88
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Getopt-Long'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Spec'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-Digest-MD5'
    • MissingVersionedVirtualPerlDependency
      missing version restriction for virtual perl: 'virtual/perl-File-Temp'
    • RedundantVersion
      slot(0) keywords are overshadowed by version: 1.90

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.